Compression not working on Hummingbird

I'm getting this error message. Any suggestions hot to resolve?

gzip is not working properly:
- Your server may not have the "deflate" module enabled (mod_deflate for Apache, ngx_http_gzip_module for NGINX)
- Another plugin may be interfering with the configuration
If re-checking and restarting does not resolve, please check with your host or open a support ticket with us.

  • Adam Czajczyk

    Hello Peter,

    I hope you're well today and thank you for your question!

    The gzip compression is performed by the server, not a plugin itself. Hummingbird takes care of enabling it and setting all necessary options up but the server-side support is required. The error message suggests that the server that your site is running on doesn't support gzip compression.

    In order to fix this, the first step taken should be making sure that support for gzip compression is enabled and this means "mod_deflate" module (in case of Apache webserver) or "ngx_http_gzip_module" module (in case of NGINX webserver) enabled. Have you already contacted your host about it?

    If not, please get in touch with them and ask them if this is enabled and supported. If not, hopefully they should be able to help you. If however proper module is up and running, let me know and I'll be working with you on this further.

    Best regards,
    Adam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.